A subcomponent that creates the thead of the table

Example

        <thead scTableHead [model]="model"></thead>

### Hierarchy

- TableHead
  - SCTableHeadComponent

## Index

### Inputs

- model

### Constructors

- constructor

### Properties

- _checkboxHeaderLabel
- _filterTitle
- _sortAscendingLabel
- _sortDescendingLabel
- checkboxHeaderLabel
- deselectAll
- enableSingleSelect
- filterTitle
- i18n
- model
- scrollbarWidth
- selectAll
- selectAllCheckbox
- selectAllCheckboxSomeSelected
- showSelectionColumn
- size
- skeleton
- sort
- sortAscendingLabel
- sortDescendingLabel
- sortable
- stickyHeader

### Methods

- getCheckboxHeaderLabel
- getFilterTitle
- getSortAscendingLabel
- getSortDescendingLabel
- ngAfterViewInit
- onSelectAllCheckboxChange

## Constructors

### constructor

- new SCTableHeadComponent(i18n: I18n): SCTableHeadComponent

- - Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:77

  #### Parameters

  - ##### i18n: I18n

  #### Returns SCTableHeadComponent

## Properties

### Protected _checkboxHeaderLabel

_checkboxHeaderLabel: Overridable

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:74

### Protected _filterTitle

_filterTitle: Overridable

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:77

### Protected _sortAscendingLabel

_sortAscendingLabel: Overridable

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:76

### Protected _sortDescendingLabel

_sortDescendingLabel: Overridable

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:75

### checkboxHeaderLabel

checkboxHeaderLabel: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:53

### deselectAll

deselectAll: EventEmitter<TableModel>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:72

Emits if all rows are deselected.

param

### enableSingleSelect

enableSingleSelect: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:39

### filterTitle

filterTitle: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:56

### Protected i18n

i18n: I18n

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:36

### model

@Input()
model: any

- Defined in packages/angular/src/toolkit/table/head/sterling-table-head.component.ts:67

### scrollbarWidth

scrollbarWidth: number

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:73

### selectAll

selectAll: EventEmitter<TableModel>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:66

Emits if all rows are selected.

param

### selectAllCheckbox

selectAllCheckbox: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:41

### selectAllCheckboxSomeSelected

selectAllCheckboxSomeSelected: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:40

### showSelectionColumn

showSelectionColumn: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:38

### size

size: TableRowSize

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:52

Size of the table rows.

### skeleton

skeleton: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:42

### sort

sort: EventEmitter<number>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:60

Emits an index of the column that wants to be sorted.

### sortAscendingLabel

sortAscendingLabel: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:55

### sortDescendingLabel

sortDescendingLabel: string | Observable<string>

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:54

### sortable

sortable: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:48

Setting sortable to false will disable all headers including headers which are sortable. Is is possible to set the sortable state on the header item to disable/enable sorting for only some headers.

### stickyHeader

stickyHeader: boolean

- Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:43

## Methods

### getCheckboxHeaderLabel

- getCheckboxHeaderLabel(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:81

  #### Returns Observable<string>

### getFilterTitle

- getFilterTitle(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:84

  #### Returns Observable<string>

### getSortAscendingLabel

- getSortAscendingLabel(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:83

  #### Returns Observable<string>

### getSortDescendingLabel

- getSortDescendingLabel(): Observable<string>

- - Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:82

  #### Returns Observable<string>

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:79

  #### Returns void

### onSelectAllCheckboxChange

- onSelectAllCheckboxChange(): void

- - Defined in node_modules/carbon-components-angular/table/head/table-head.component.d.ts:80

  #### Returns void

Generated using TypeDoc